JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
Slider::RotaryParameters Struct Reference
juce_gui_basics » widgets

Structure defining rotary parameters for a slider. More...

`#include <juce_Slider.h>`

## Public Attributes
float | startAngleRadians
| The angle (in radians, clockwise from the top) at which the slider's minimum value is represented.
float | endAngleRadians
| The angle (in radians, clockwise from the top) at which the slider's maximum value is represented.
bool | stopAtEnd
| Determines what happens when a circular drag action rotates beyond the minimum or maximum angle.

## Detailed Description

Structure defining rotary parameters for a slider.

## Member Data Documentation

## ◆ startAngleRadians

float Slider::RotaryParameters::startAngleRadians

The angle (in radians, clockwise from the top) at which the slider's minimum value is represented.

## ◆ endAngleRadians

float Slider::RotaryParameters::endAngleRadians

The angle (in radians, clockwise from the top) at which the slider's maximum value is represented.

This must be greater than startAngleRadians.

## ◆ stopAtEnd

bool Slider::RotaryParameters::stopAtEnd

Determines what happens when a circular drag action rotates beyond the minimum or maximum angle.

If true, the value will stop changing until the mouse moves back the way it came; if false, the value will snap back to the value nearest to the mouse. Note that this has no effect if the drag mode is vertical or horizontal.

The documentation for this struct was generated from the following file:

- juce_Slider.h